Bug 1725013 - vdsm-tool fails deploying fedora 29 host from el7 engine
Summary: vdsm-tool fails deploying fedora 29 host from el7 engine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-provider-ovn
Classification: oVirt
Component: driver
Version: 1.2.22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.3.7
: 1.2.25
Assignee: Miguel Duarte Barroso
QA Contact: Miguel Duarte Barroso
URL:
Whiteboard:
Depends On:
Blocks: oVirt_on_Fedora
TreeView+ depends on / blocked
 
Reported: 2019-06-28 09:08 UTC by Sandro Bonazzola
Modified: 2019-11-21 12:44 UTC (History)
8 users (show)

Fixed In Version: ovirt-provider-ovn-1.2.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-21 12:44:41 UTC
oVirt Team: Network
sbonazzo: ovirt-4.4?


Attachments (Terms of Use)
ansible deploy log (73.94 KB, text/plain)
2019-06-28 09:08 UTC, Sandro Bonazzola
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 101386 0 master MERGED Fix deploy failure on fedora hosts 2019-07-03 07:49:40 UTC

Description Sandro Bonazzola 2019-06-28 09:08:04 UTC
Created attachment 1585502 [details]
ansible deploy log

2019-06-28 11:02:06,349 p=26347 u=ovirt |  TASK [ovirt-provider-ovn-driver : Configure OVN for oVirt] *********************
2019-06-28 11:02:09,161 p=26347 u=ovirt |  fatal: [host.home]: FAILED! => {
    "changed": true, 
    "cmd": [
        "vdsm-tool", 
        "ovn-config", 
        "192.168.122.137", 
        "192.168.122.204"
    ], 
    "delta": "0:00:00.209596", 
    "end": "2019-06-28 09:02:08.719457", 
    "rc": 1, 
    "start": "2019-06-28 09:02:08.509861"
}

attaching deploy log.

Comment 1 Dominik Holler 2019-06-28 09:36:25 UTC
Miguel, is this related to bug 1676855 ?

Comment 2 Miguel Duarte Barroso 2019-06-28 10:08:14 UTC
It looks like it is, at least the symptoms look like it.

Which ovirt-provider-ovn-driver version is being used ? I can't find that info anywhere in the bug.

Comment 3 Miguel Duarte Barroso 2019-07-01 09:02:21 UTC
Looking at the contents of the RPM, it can be seen the ovn_config.py script are installed in the wrong dir (python3.7):

/etc/sudoers.d/50_vdsm_hook_ovirt_provider_ovn_hook
/usr/lib/python3.7/site-packages/vdsm/tool
/usr/lib/python3.7/site-packages/vdsm/tool/__pycache__
/usr/lib/python3.7/site-packages/vdsm/tool/__pycache__/ovn_config.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/vdsm/tool/__pycache__/ovn_config.cpython-37.pyc
/usr/lib/python3.7/site-packages/vdsm/tool/ovn_config.py
/usr/libexec/ovirt-provider-ovn
/usr/libexec/ovirt-provider-ovn/AUTHORS
/usr/libexec/ovirt-provider-ovn/LICENSE
/usr/libexec/ovirt-provider-ovn/setup_ovn_controller.sh
/usr/libexec/ovirt-provider-ovn/unconfigure_ovn_controller.sh
/usr/libexec/vdsm/hooks/after_get_caps
/usr/libexec/vdsm/hooks/after_get_caps/ovirt_provider_ovn_hook
/usr/libexec/vdsm/hooks/after_vm_destroy
/usr/libexec/vdsm/hooks/after_vm_destroy/delete_vhostuserclient_hook
/usr/libexec/vdsm/hooks/before_device_create
/usr/libexec/vdsm/hooks/before_device_create/10_ovirt_provider_ovn_hook
/usr/libexec/vdsm/hooks/before_device_create/20_ovirt_provider_ovn_vhostuser_hook
/usr/libexec/vdsm/hooks/before_nic_hotplug
/usr/libexec/vdsm/hooks/before_nic_hotplug/10_ovirt_provider_ovn_hook
/usr/libexec/vdsm/hooks/before_nic_hotplug/20_ovirt_provider_ovn_vhostuser_hook
/usr/libexec/vdsm/vhostuser_permissions_setter
/usr/share/licenses/ovirt-provider-ovn-driver
/usr/share/licenses/ovirt-provider-ovn-driver/LICENSE

Should this be done using py3 or py2 ?... 

Since it's fedora, on 4.4, I assumed it would be py3, but looks like it's being executed in py2 .

Comment 4 Miguel Duarte Barroso 2019-07-01 16:17:02 UTC
Sandro, ovirt-provider-ovn-driver being packaged for py3 already, as can be seen in comment#3.

This bug occurs because vdsm-tool is being executed in python 2 - I was under the impression that it was already ported to py3 ... 

Could you shed some light onto this matter ?..

Comment 5 Sandro Bonazzola 2019-07-02 09:58:26 UTC
(In reply to Miguel Duarte Barroso from comment #4)
> Sandro, ovirt-provider-ovn-driver being packaged for py3 already, as can be
> seen in comment#3.
> 
> This bug occurs because vdsm-tool is being executed in python 2 - I was
> under the impression that it was already ported to py3 ... 
> 
> Could you shed some light onto this matter ?..

I think vdsm has been ported to python3 only on Fedora >= 30, 29 is still python 2

Comment 6 Dominik Holler 2019-07-02 10:10:23 UTC
Sandro, should the python2/3 and OS versions combinations like this?

python2: fedora 29, CentOS7
python3: fedora 3x, CentOS8

Comment 7 Miguel Duarte Barroso 2019-07-03 08:58:04 UTC
From the discussion on the ovirt mailing list "[ovirt-devel] Building python 2 and python 3 packages for Fedora":

"""
....

Since python 2 is about to die soon, should we simplify by building python 2 *or* python 3, depending
on version?

Fedora 29: python 2.7
Fedora 30: python 3.7
CentOS 7: python 2.7
CentOS 8: python 3.6

"""

Comment 12 Sandro Bonazzola 2019-11-21 12:44:41 UTC
This bugzilla is included in oVirt 4.3.7 release, published on November 21st 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.7 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.